Package org.apache.sysds.runtime.instructions.spark.data

# Class SerLongWritable

java.lang.Object
org.apache.hadoop.io.LongWritable
org.apache.sysds.runtime.instructions.spark.data.SerLongWritable

All Implemented Interfaces:
  `Serializable`, `Comparable<org.apache.hadoop.io.LongWritable>`, `org.apache.hadoop.io.Writable`, `org.apache.hadoop.io.WritableComparable<org.apache.hadoop.io.LongWritable>`

public class SerLongWritable extends org.apache.hadoop.io.LongWritable implements Serializable
Wrapper for LongWritable in order to make it serializable as required for shuffle in spark instructions.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.hadoop.io.LongWritable

`org.apache.hadoop.io.LongWritable.Comparator, org.apache.hadoop.io.LongWritable.DecreasingComparator`

## Constructor Summary

Constructors
Constructor
Description
`SerLongWritable(Long in)`

## Method Summary

### Methods inherited from class org.apache.hadoop.io.LongWritable

`compareTo, equals, get, hashCode, readFields, set, toString, write`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SerLongWritable

public SerLongWritable(Long in)